Loading...
Searching...
No Matches
Fork.h File Reference

A simple wrapper around fork() library function call. More...

`#include <unistd.h>`
`#include <stdlib.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <signal.h>`
`#include <sys/wait.h>`
`#include <list>`
`#include "assa/Assure.h"`
`#include "assa/Singleton.h"`
`#include "assa/EventHandler.h"`
`#include "assa/SigHandler.h"`
`#include "assa/SigAction.h"`

Go to the source code of this file.

## Classes

class | ASSA::ChildStatusHandler
| A helper class of Fork. More...
class | ASSA::Fork
| Fork class is a simple wrapper around C library function fork(). More...
class | ASSA::fnode_t
| forknode_t class. More...
class | ASSA::ForkList
| ForkList is a singleton class that keeps a list of all forked children. More...

## Namespaces

namespace | ASSA

## Detailed Description

A simple wrapper around fork() library function call.

Definition in file Fork.h.